<?php
header("Content-type:text/html;charset=utf-8");  
session_start();
$session_admin = isset($_SESSION['admin']) ? $_SESSION['admin'] : ''; 
if ($session_admin == '') {
	die("Can not access");
}
require_once("../common.php");
checkadminrights($session_admin, 'users');

function step2() {
	require_once("../common.php");

	$userid = isset($_GET['userid']) ? $_GET['userid'] : '0'; 
	$nickname = isset($_GET['nickname']) ? urldecode($_GET['nickname']) : '';
	$searchtype = isset($_GET['searchtype']) ? $_GET['searchtype'] : '1'; 
	$searchparam = isset($_GET['searchparam']) ? urldecode($_GET['searchparam']) : '';
	$sex = isset($_GET['sex']) ? $_GET['sex'] : '-1'; 
	$age = isset($_GET['age']) ? $_GET['age'] : '-1'; 
	$online = isset($_GET['online']) ? $_GET['online'] : '-1'; 
	$pageindex = isset($_GET['pageindex']) ? $_GET['pageindex'] : '1';

	//subpageurlparams
	$subpageurlparams = 'userid=' . $userid . '&nickname=' . urlencode($nickname) . 
		'&searchtype=' . $searchtype . '&searchparam=' . urlencode($searchparam) . 
		'&sex=' . $sex . '&age=' . $age . '&online=' . $online . '&pageindex=' . $pageindex;

	$newpwd = isset($_POST['pwd1']) ? $_POST['pwd1'] : '';
	$newpwd = trim($newpwd);
    if ($newpwd == '') $newpwd = '123456';
	$newpwd = strtoupper(md5($newpwd));

	$methodname = 'Admin.ResetUserPWD';
	$requestinfo = '<?xml version="1.0" encoding="utf-8"?><request>' . 
		'<ip>' . getip() . '</ip>' . 
		'<userid>' . $userid . '</userid>' .
		'<newpwd>' . $newpwd . '</newpwd>' . 	
		'</request>';
	$responseinfo = '';
	$responsexml = null;
	$errorcode = ERRORCODE_UNKNOWN;

	$cmd = new COM("OpenCom.Command");
	$methodname = iconv('UTF-8', 'GBK//IGNORE', $methodname);
	$requestinfo = iconv('UTF-8', 'GBK//IGNORE', $requestinfo);
	if ($cmd->Execute($methodname, $requestinfo, $responseinfo, 5000)) {
		$responseinfo = iconv('GBK', 'UTF-8//IGNORE', $responseinfo);
		$responsexml = simplexml_load_string($responseinfo);
		$errorcode = $responsexml->errorcode;
	}
	$cmd = null;

	switch($errorcode) {
		case ERRORCODE_OK: 
			header("location:   users.php?{$subpageurlparams}");
			break;
		default:
			header("location:   users.php?{$subpageurlparams}");
	}//switch
}//step2

$step = isset($_GET['step']) ? $_GET['step'] : '1'; 

if ($step == '2') {
	step2();
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title></title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<link type="text/css" rel="stylesheet" href="../css/base.css" />
<style type="text/css">
.td1 { padding:5px 0 0 0;width:80px;height:20px;vertical-align:top; }
.td2 { width:880px;vertical-align:top; }
</style>
<script type="text/javascript">
String.prototype.trim=function() {
     return this.replace(/(^\s*)(\s*$)/g, '');
}
function chkform() {
	var form = document.getElementById('form');
	if(form.pwd1.value.trim() == "") { 
      alert("新的密码不能为空!");   
      return false; 
    } 
	if(form.pwd2.value.trim() == "") { 
      alert("密码确认不能为空!");   
      return false; 
    } 
	if(form.pwd1.value.trim() != form.pwd2.value.trim()) { 
      alert("两次输入的新密码不一样!");   
      return false; 
    } 
    return true; 
}//chkform
</script>
</head>
<body>

<?php
	$userid = isset($_GET['userid']) ? $_GET['userid'] : '0'; 
	$nickname = isset($_GET['nickname']) ? urldecode($_GET['nickname']) : '';
	$searchtype = isset($_GET['searchtype']) ? $_GET['searchtype'] : '1'; 
	$searchparam = isset($_GET['searchparam']) ? urldecode($_GET['searchparam']) : '';
	$sex = isset($_GET['sex']) ? $_GET['sex'] : '-1'; 
	$age = isset($_GET['age']) ? $_GET['age'] : '-1'; 
	$online = isset($_GET['online']) ? $_GET['online'] : '-1'; 
	$pageindex = isset($_GET['pageindex']) ? $_GET['pageindex'] : '1';

	//subpageurlparams
	$subpageurlparams = 'userid=' . $userid . '&nickname=' . urlencode($nickname) . 
		'&searchtype=' . $searchtype . '&searchparam=' . urlencode($searchparam) . 
		'&sex=' . $sex . '&age=' . $age . '&online=' . $online . '&pageindex=' . $pageindex;
echo<<<EOT
	<div class="rightbar">
		<div class="form_title">
			为&nbsp;&quot;{$nickname}&quot;&nbsp;重置密码
		</div>
		<div class="form_panel">
			<form action="users_resetpwd.php?step=2&{$subpageurlparams}" method="post" id="form" onSubmit="return chkform();">
			<table style="border:0;">
			<tr>
				<td class="td1">新的密码:</td>
				<td class="td2"><input style="width:260px;" type="text" name="pwd1" value=""/></td>
			</tr>
			<tr>
				<td class="td1">密码确认:</td>
				<td class="td2" style="height:40px;"><input style="width:260px;" type="text" name="pwd2" value=""/></td>
			</tr>
			<tr>
				<td class="td1"></td>
				<td class="td2"><input class="cssbtn" type="submit" value="确定">&nbsp;<input class="cssbtn" type="button" value="取消" onclick="window.location='users.php?{$subpageurlparams}'" /></td>
			</tr>
			</table>
			</form>
		</div>
	</div>
EOT;
?>

</body>
</html>
